#pragma once

#include "data/csv_dump.hpp"
#include "util/points.hpp"

#include <QList>
#include <QPair>

#include <string>

struct BonusPoints {
    BonusPoints() = default;
    explicit BonusPoints(const CsvDump &c) noexcept(false);

    QList<int> mRegistrationNr{};
    QList<Points> mNrBonusPoints{};

    // A list of all students with invalid (non-numerical) registration numbers
    // and their respective bonus point count
    QList<QPair<std::string, std::string>> mInvalidRegNrs{};

    // Store the entire csv dump so that we can more easily export it later
    CsvDump mBonusPoints;
};
