#pragma once

namespace str {
namespace error {
// Error prefix for any error when parsing a dynexite file
constexpr auto defaultDynexite =
    "Please download the CSV results file from the \"Download the "
    "results\" section from dynexite.\n\n";

// Error prefix for any error when parsing an RWTH Online file
constexpr auto defaultRwthOnline =
    "Please download the export from RWTH Online as a CSV file with "
    "encoding-setting ISO 8859-1.\n\n";

// Error prefix for any error when parsing a bonus point file
constexpr auto defaultBonus =
    "Please use a properly formatted bonus point file with at "
    "least the columns \"Matrikelnummer\" and \"Bonuspunkte "
    "(Punkte)\" from moodle.\n\n";

// Error prefix for any error when parsing a d2r file
constexpr auto defaultD2R =
    "The selected file is not a d2r file. Please select a file that you "
    "previously exported with this app.\n\n";

// Error when parsing an empty or non-text file
constexpr auto empty = "File is empty or of the wrong file type.";

// Error when there are no header columns
constexpr auto noHeader = "No header.";

// Error when there are no rows beside the header
constexpr auto noData = "No data rows.";

// Error when there are no rows beside the header in a dynexite file with
// content besides the identifier
constexpr auto noStudents = "No student attended?";

constexpr auto unexpectedDynexite = "You selected a dynexite file.";
constexpr auto unexpectedRwthOnline = "You selected an RWTH Online file.";
constexpr auto unexpectedBonus = "You selected a bonus point file.";

constexpr auto invalidColumnNr = "Unexpected number of columns: ";

constexpr auto insertFailed = "Inserting data failed.";

constexpr auto noIdColumn = "No registration number column found.";
constexpr auto noBonusPointColumn = "No bonus point column found.";
constexpr auto noAttemptNrColumn = "No attempt number column found.";

constexpr auto bonusArraySizeMismatch =
    "Internal error while reading bonus points (array size mismatch).";
constexpr auto rwthArraySizeMismatch =
    "Internal error while reading student info (array size mismatch).";

constexpr auto lowStudentIntersection =
    "Are you sure you selected files from the same exam?";

constexpr auto ymlHeader = "Invalid yaml header.";

constexpr auto csvDelimiter =
    "Error while parsing the CSV file: No valid delimiter found";
} // namespace error
} // namespace str
