#pragma once

#include "util/grade.hpp"
#include "util/storage_helper.hpp"

#include "boundary_tab.hpp"

#include <QCheckBox>
#include <QComboBox>
#include <QTabWidget>
#include <QVBoxLayout>

class BoundaryWindow : public QWidget {
    Q_OBJECT

public:
    explicit BoundaryWindow(QWidget *parent = nullptr);

public slots:
    void requirePassAllChanged(int state);
    void countZeroChange(int state);
    void stepSizeChanged(int index);
    void roundingChanged(int index);

    void pointsChanged();
    void gradesChanged();

private:
    QVBoxLayout mLayout;
    QTabWidget mTabs;

    QCheckBox mRequirePassAllCheckbox;
    QComboBox mStepSize{};
    QComboBox mRounding{};
    QCheckBox mCountZero;
    // todo: clear up ownership
    EnumStorage<BoundaryTab, GradingType, 2> mBoundaries;
};
