#pragma once

#include "util/storage_helper.hpp"

#include <QTableWidget>

class StudentsTab : public QWidget {
    Q_OBJECT

public:
    explicit StudentsTab(QWidget *parent = nullptr);

public slots:
    /**
     * \brief Update number of column and rows, the student ids and the points.
     */
    void pointsChanged();

    /**
     * \brief Update grades.
     */
    void gradesChanged(const EnumStorage<bool> &types);

protected:
    void resizeEvent(QResizeEvent *event) override;

private:
    QTableWidget mTable;
};
